import java.io.*;
import java.util.*;

public class TestsGen {

	static int done = 0;
	static ArrayList<Integer> data = new ArrayList<Integer>();
	static final Random rand = new Random(556668949239L);

	static void print(int n) throws IOException {
		done++;
		System.err.println(done);
		PrintWriter out;
		if (done < 10)
			out = new PrintWriter("0" + String.valueOf(done));
		else
			out = new PrintWriter("" + String.valueOf(done));
		out.println(n);
		out.close();
	}

	static void genRand(int numTest, int priTest, int priTest2) throws IOException {
        data.clear();
        for (int i = 0; i <= numTest / 8; i++)
            if (i != priTest && i != priTest2)
                data.add(i);
        
		Collections.shuffle(data, rand);
        print(priTest);
        print(priTest2);
		for (int i = 0; i < data.size(); i++)
            print(data.get(i));
        data.clear();
        int tekTest = 10;
        while (tekTest < numTest)
        {
            tekTest += rand.nextInt(3) + 1;
            if (tekTest < numTest) data.add(tekTest);
        }
        if (data.get(data.size() - 1) != numTest) data.add(numTest);
        Collections.shuffle(data, rand);
        for (int i = 0; i < data.size(); i++)
            print(data.get(i));
        data.clear();
        return;
	}

	public static void main(String[] args) throws IOException {
		genRand(80, 2, 4);
        return;
	}
}
